Package org.apache.felix.framework.util

# Class StringComparator

java.lang.Object
org.apache.felix.framework.util.StringComparator

All Implemented Interfaces:
  `Comparator`

public class StringComparator extends Object implements Comparator

## Constructor Summary

Constructors
Constructor
Description
`StringComparator(boolean b)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(Object o1, Object o2)`
`boolean`
`isCaseSensitive()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### StringComparator

public StringComparator(boolean b)

## Method Details

### compare

public int compare(Object o1, Object o2)

Specified by:
  `compare` in interface `Comparator`

### isCaseSensitive

public boolean isCaseSensitive()